MyGUI: delegates::CStaticDelegateMYGUI_SUFFIX Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions
delegates::CStaticDelegateMYGUI_SUFFIX Class Reference

`#include <MyGUI_DelegateImplement.h>`

Inheritance diagram for delegates::CStaticDelegateMYGUI_SUFFIX:
[legend]

## Public Types
typedef void(* | Func) (MYGUI_PARAMS)

## Public Member Functions
| CStaticDelegateMYGUI_SUFFIX (Func _func)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke (MYGUI_PARAMS)
virtual bool | compare (IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const

## Detailed Description

Definition at line 40 of file MyGUI_DelegateImplement.h.

## Member Typedef Documentation

## ◆ Func

typedef void(* delegates::CStaticDelegateMYGUI_SUFFIX::Func) (MYGUI_PARAMS)

Definition at line 43 of file MyGUI_DelegateImplement.h.

## Constructor & Destructor Documentation

## ◆ CStaticDelegateMYGUI_SUFFIX()

delegates::CStaticDelegateMYGUI_SUFFIX::CStaticDelegateMYGUI_SUFFIX | ( | Func | _func | ) |
| inline

Definition at line 45 of file MyGUI_DelegateImplement.h.

## Member Function Documentation

## ◆ compare() [1/2]

virtual bool delegates::CStaticDelegateMYGUI_SUFFIX::compare | ( | IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS * | _delegate | ) | const
| inlinevirtual

Definition at line 57 of file MyGUI_DelegateImplement.h.

## ◆ compare() [2/2]

virtual bool delegates::CStaticDelegateMYGUI_SUFFIX::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inlinevirtual

Definition at line 63 of file MyGUI_DelegateImplement.h.

## ◆ invoke()

virtual void delegates::CStaticDelegateMYGUI_SUFFIX::invoke | ( | MYGUI_PARAMS |  | ) |
| inlinevirtual

Definition at line 52 of file MyGUI_DelegateImplement.h.

## ◆ isType()

virtual bool delegates::CStaticDelegateMYGUI_SUFFIX::isType | ( | const std::type_info & | _type | ) |
| inlinevirtual

Definition at line 47 of file MyGUI_DelegateImplement.h.

The documentation for this class was generated from the following file:

- MyGUI_DelegateImplement.h